Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class TextWithLayoutType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.TextWithLayoutType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class TextWithLayoutType extends Object implements Serializable

Java class for textWithLayoutType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="textWithLayoutType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <any processContents='lax' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="L" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextWithLayoutType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getContent()`
  Gets the value of the content property.
  `String`
  `getL()`
  Gets the value of the l property.
  `void`
  `setL(String value)`
  Sets the value of the l property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TextWithLayoutType

    public TextWithLayoutType()

- ## Method Details

  - ### getContent

    public List<Object> getContent()
    Gets the value of the content property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

    For example, to add a new item, do as follows:

         getContent().add(newItem);

    Objects of the following type(s) are allowed in the list `Object` `String` `Element`

    Returns:
      The value of the content property.

  - ### getL

    public String getL()
    Gets the value of the l property.
    Returns:
      possible object is `String`

  - ### setL

    public void setL(String value)
    Sets the value of the l property.
    Parameters:
      `value` - allowed object is `String`